Timekit developers

PUT Update booking meta data

Update meta data related to a given booking.

If you have added any meta data to a booking and during the lifespan of a booking you need to update any of there meta data you can use this endpoint.

You remove any meta data by setting it to null, like this:

{
    "meta":{
        "external_id": null
    }
}

Endpoint

PUT https://api.timekit.io/v2/bookings/:id/

Parameters

Name In Type Required Default Description
id path string yes The ID of the booking
meta body object yes Key-values of additional custom meta-data that you want to save.

Request examples

curl
curl --request PUT \
  --url https://api.timekit.io/v2/bookings/58190fc6-1ec0-4ebb-b627-7ce6aa9fc703 \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7 \
  --data '{
  	"meta": {
    	"external_id": "random-id-1234"
    }
  }'

Response examples

This endpoint does not support dynamic includes, so the response only has the basic booking fields and, once the booking has a calendar event, what, where, description, start, end, rsvp and allDay. Retrieve the booking with ?include=meta to see the saved meta data.

200

json
{
  "data": {
    "id": "58190fc6-1ec0-4ebb-b627-7ce6aa9fc703",
    "state": "confirmed",
    "graph": "confirm_decline",
    "completed": false,
    "created_at": "2016-02-11T11:58:45+0100",
    "updated_at": "2016-02-11T11:58:47+0100",
    "rsvp": "accepted",
    "what": "Catch the lightning",
    "where": "Courthouse, Hill Valley, CA 95420, USA",
    "description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!",
    "allDay": false,
    "end": "1955-11-12T22:15:00-0700",
    "start": "1955-11-12T21:30:00-0700"
  }
}
Last edited 6 October 2026.